Method: networks.trafficForecastSegments.batchCreate

Creates TrafficForecastSegment objects.

HTTP request

POST https://admanager.googleapis.com/v1/{parent}/trafficForecastSegments:batchCreate

Path parameters

Parameters
parent

string

Required. The parent resource where TrafficForecastSegments will be created. Format: networks/{networkCode} The parent field in the CreateTrafficForecastSegmentRequest must match this field.

Request body

The request body contains data with the following structure:

JSON representation
{
  "requests": [
    {
      object (CreateTrafficForecastSegmentRequest)
    }
  ]
}
Fields
requests[]

object (CreateTrafficForecastSegmentRequest)

Required. The TrafficForecastSegment objects to create. A maximum of 100 objects can be created in a batch.

Response body

Response object for trafficForecastSegments.batchCreate method.

If successful, the response body contains data with the following structure:

JSON representation
{
  "trafficForecastSegments": [
    {
      object (TrafficForecastSegment)
    }
  ]
}
Fields
trafficForecastSegments[]

object (TrafficForecastSegment)

The TrafficForecastSegment objects created.

Authorization scopes

Requires the following OAuth scope:

  • https://www.googleapis.com/auth/admanager

For more information, see the OAuth 2.0 Overview.

CreateTrafficForecastSegmentRequest

Request object for trafficForecastSegments.create method.

JSON representation
{
  "parent": string,
  "trafficForecastSegment": {
    object (TrafficForecastSegment)
  }
}
Fields
parent

string

Required. The parent resource where this TrafficForecastSegment will be created. Format: networks/{networkCode}

trafficForecastSegment

object (TrafficForecastSegment)

Required. The TrafficForecastSegment to create.